DecreasingGaussianWalk Class Reference

Decreasing Random Walk. More...

`#include <ql/experimental/math/fireflyalgorithm.hpp>`

Inheritance diagram for DecreasingGaussianWalk:
[legend]

## Public Member Functions

| DecreasingGaussianWalk (Real sigma, Real delta=0.9, unsigned long seed=SeedGenerator::instance().get())
Public Member Functions inherited from GaussianWalk
| GaussianWalk (Real sigma, Real delta=0.9, unsigned long seed=SeedGenerator::instance().get())
Public Member Functions inherited from DistributionRandomWalk< BoostNormalDistribution >
| DistributionRandomWalk (BoostNormalDistribution dist, Real delta=0.9, unsigned long seed=SeedGenerator::instance().get())
Public Member Functions inherited from FireflyAlgorithm::RandomWalk
void | walk ()
| perform random walk

## Protected Member Functions

void | walkImpl (Array &xRW)
void | init (FireflyAlgorithm *fa)
Protected Member Functions inherited from DistributionRandomWalk< BoostNormalDistribution >
void | walkImpl (Array &xRW)
void | init (FireflyAlgorithm *fa)

## Additional Inherited Members

Public Types inherited from DistributionRandomWalk< BoostNormalDistribution >
typedef IsotropicRandomWalk< BoostNormalDistribution, base_generator_type > | WalkRandom
Protected Attributes inherited from DistributionRandomWalk< BoostNormalDistribution >
WalkRandom | walkRandom_
Real | delta_
Protected Attributes inherited from FireflyAlgorithm::RandomWalk
Size | Mfa_
Size | N_
const std::vector< Array > * | x_
const std::vector< std::pair< Real, Size > > * | values_
std::vector< Array > * | xRW_
Array * | lX_
Array * | uX_

## Detailed Description

Decreasing Random Walk.